## org.apache.lucene.queryParser.surround.query
Class SimpleTerm

    java.lang.Object
      org.apache.lucene.queryParser.surround.query.SrndQuery
          org.apache.lucene.queryParser.surround.query.SimpleTerm

All Implemented Interfaces:
  Cloneable, Comparable<SimpleTerm>, DistanceSubQuery

Direct Known Subclasses:
  SrndPrefixQuery, SrndTermQuery, SrndTruncQuery

    public abstract class SimpleTerm

extends SrndQuery
implements DistanceSubQuery, Comparable<SimpleTerm>

Nested Class Summary
`static interface` `SimpleTerm.MatchingTermVisitor`

Field Summary

Fields inherited from class org.apache.lucene.queryParser.surround.query.SrndQuery
`theEmptyLcnQuery`

Constructor Summary
`SimpleTerm(boolean q)`

Method Summary
`void` `addSpanQueries(SpanNearClauseFactory sncf)`
`int` `compareTo(SimpleTerm ost)`
`String` `distanceSubQueryNotAllowed()` When distanceSubQueryNotAllowed() returns non null, the reason why the subquery is not allowed as a distance subquery is returned.
`String` `getFieldOperator()`
`String` `getQuote()`
`org.apache.lucene.search.Query` `makeLuceneQueryFieldNoBoost(String fieldName, BasicQueryFactory qf)`
`protected void` `suffixToString(StringBuilder r)`
`String` `toString()`
`abstract String` `toStringUnquoted()`
`abstract void` `visitMatchingTerms(org.apache.lucene.index.IndexReader reader, String fieldName, SimpleTerm.MatchingTermVisitor mtv)`

Methods inherited from class org.apache.lucene.queryParser.surround.query.SrndQuery
`clone, getWeight, getWeightOperator, getWeightString, isFieldsSubQueryAcceptable, isWeighted, makeLuceneQueryField, setWeight, weightToString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleTerm

    public SimpleTerm(boolean q)

Method Detail

### getQuote

    public String getQuote()

### getFieldOperator

    public String getFieldOperator()

### toStringUnquoted

    public abstract String toStringUnquoted()

### compareTo

    public int compareTo(SimpleTerm ost)

  Specified by:
    `compareTo` in interface `Comparable<SimpleTerm>`

### suffixToString

    protected void suffixToString(StringBuilder r)

### toString

    public String toString()

  Specified by:
    `toString` in class `SrndQuery`

### visitMatchingTerms

    public abstract void visitMatchingTerms(org.apache.lucene.index.IndexReader reader,
                                            String fieldName,
                                            SimpleTerm.MatchingTermVisitor mtv)
                                     throws IOException

  Throws:
    `IOException`

### distanceSubQueryNotAllowed

    public String distanceSubQueryNotAllowed()

  Description copied from interface: `DistanceSubQuery`
  When distanceSubQueryNotAllowed() returns non null, the reason why the subquery is not allowed as a distance subquery is returned.
  When distanceSubQueryNotAllowed() returns null addSpanNearQueries() can be used in the creation of the span near clause for the subquery.

  Specified by:
    `distanceSubQueryNotAllowed` in interface `DistanceSubQuery`

### makeLuceneQueryFieldNoBoost

    public org.apache.lucene.search.Query makeLuceneQueryFieldNoBoost(String fieldName,
                                                                      BasicQueryFactory qf)

  Specified by:
    `makeLuceneQueryFieldNoBoost` in class `SrndQuery`

### addSpanQueries

    public void addSpanQueries(SpanNearClauseFactory sncf)
                        throws IOException

  Specified by:
    `addSpanQueries` in interface `DistanceSubQuery`
  Throws:
    `IOException`